Bug 129999 - need policy checker run during package build
need policy checker run during package build
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC3Target FC3BugWeekQA
  Show dependency treegraph
 
Reported: 2004-08-16 11:03 EDT by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 13:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2004-08-16 11:03:24 EDT
We *badly* need to have some sort of check run against the policy to
ensure that it's sane that's run as a %check in the package.

Otherwise, we continue to get broken policies being built that then
hose installs (bug 129943 is the most recent incarnation of such).
Comment 1 Daniel Walsh 2004-08-25 14:01:10 EDT
selinux-policy-*-1.17.1 now verifies the file_context file against the
policy file.

Dan
Comment 2 Daniel Walsh 2005-02-09 13:53:48 EST
Fixed in current release

Note You need to log in before you can comment on or make changes to this bug.